#
# spec file for package gap-sco
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-sco
Version:        2023.08.01
%define sillyver 2023.08-01
Release:        1.4
Summary:        GAP: Simplicial Cohomology of Orbifolds
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
URL:            https://homalg-project.github.io/pkg/SCO
Source:         https://github.com/homalg-project/homalg_project/releases/download/SCO-%sillyver/SCO-%sillyver.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.12.1
Requires:       gap-gapdoc >= 1.0
Requires:       gap-matricesforhomalg >= 2023.08.01
Requires:       gap-modules >= 2011.06.29

%description
The SCO package provides functionality to compute simplicial
cohomology of orbifolds.

%prep
%autosetup -n SCO-%sillyver

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2023.08.01
  * No changelog was provided
* Tue Feb 21 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Fix incorrect %%autosetup parameter
* Sun Feb 12 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.09.01
  * No changelog
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 2017.09.10
  * No changelog available
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.06
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split sco (version 2011.08.11) off the gap RPM package
